<template>
  <div class="wh-full">
    <fs-crud ref="crudRef" v-bind="crudBinding" />
  </div>
</template>
<script setup lang="ts">
import { onMounted } from 'vue';
import { useRoute } from 'vue-router';
import { useFs } from '@fast-crud/fast-crud';
import createCrudOptions from './crud';
const route = useRoute();
const context: any = {
  route
};
const { crudRef, crudBinding, crudExpose } = useFs({ createCrudOptions, context });
onMounted(() => {
  crudExpose.doRefresh();
});
</script>
<style scoped></style>
